Name:           sshfs-fuse
Version:        2.4
Release:        1
Epoch:          0
Summary:        Filesystem running over SFTP
License:        GPL
Group:          Networking/Remote access
URL:            http://fuse.sourceforge.net/sshfs.html
Source0:        http://downloads.sourceforge.net/fuse/sshfs-fuse-%{version}.tar.gz
# XXX: No way to tell if this is already included in/by the kernel or not
#Requires:      dkms-fuse
Requires:       fuse
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.  On the client side mounting the
filesystem is as easy as logging into the server with ssh.

    * Based on FUSE
    * Multithreading: more than one request can be on it's way to the server
    * Allowing large reads (max 64k)
    * Caching directory contents

%prep
%setup -q

%build
export CC="%{__cc} -fPIC"
%{configure2_5x} --disable-dependency-tracking --disable-sshnodelay
%{make}

%install
%{makeinstall_std}

%files 
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%attr(0755,root,root) %{_bindir}/sshfs
%{_mandir}/man1/sshfs.1*


%changelog
* Sat Mar 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 0:2.4-1
+ Revision: 784026
- version update 2.4

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0:2.2-2mdv2010.0
+ Revision: 445230
- rebuild

* Tue Oct 21 2008 David Walluck <walluck@mandriva.org> 0:2.2-1mdv2009.1
+ Revision: 295894
- 2.2

* Sun Jul 27 2008 David Walluck <walluck@mandriva.org> 0:2.1-1mdv2009.0
+ Revision: 250355
- 2.1

* Fri Apr 25 2008 David Walluck <walluck@mandriva.org> 0:2.0-1mdv2009.0
+ Revision: 197338
- 2.0

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - fix file list

* Mon Dec 17 2007 David Walluck <walluck@mandriva.org> 0:1.9-2mdv2008.1
+ Revision: 131673
- explicitly add --disable-dependency-tracking --disable-sshnodelay to configure
- 1.9

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 16 2007 David Walluck <walluck@mandriva.org> 0:1.8-1mdv2008.0
+ Revision: 27418
- 1.8

